//
// split_h.cpp
//
// Copyright (C) Michael Ortega-Binderberger (miki@ics.uci.edu)
//               Liang Jin (liangj@ics.uci.edu)
//               Chen Li (chenli@ics.uci.edu)
//
//              Department of Computer Science 
//       University of California, Irvine, CA 92697, USA
//

/*-----------------------------------------------------------------------------
| Definitions and global variables used in linear split code.
-----------------------------------------------------------------------------*/

#define MinNodeFill (NODECARD / 2)
#define MinLeafFill (NODECARD / 2)

#define METHODS 1

struct Branch BranchBuf[NODECARD+1];
int BranchCount;
struct Rect CoverSplit;

/* variables for finding a partition */
struct PartitionVars
{
	int partition[NODECARD+1];
	int total, minfill;
	int taken[NODECARD+1];
	int count[2];
	struct Rect cover[2];
	RectReal area[2];
} Partitions[METHODS];
