//
// split_q.h
//
// Copyright (C) Michael Ortega-Binderberger (miki@ics.uci.edu)
//               Liang Jin (liangj@ics.uci.edu)
//               Chen Li (chenli@ics.uci.edu)
//
//              Department of Computer Science 
//       University of California, Irvine, CA 92697, USA
//


/*-----------------------------------------------------------------------------
| Definitions and global variables.
-----------------------------------------------------------------------------*/

#define METHODS 1

struct Branch BranchBuf[NODECARD+1];
struct Rect CoverSplit;
RectReal CoverSplitArea;

/* variables for finding a partition */
struct PartitionVars
{
	int partition[NODECARD+1];
	int taken[NODECARD+1];
	int count[2];
	struct Rect cover[2];
	RectReal area[2];
} Partitions[METHODS];
